

from nevow import Proto, Invisible, directive


invisible = Invisible('')


tags = [
'a','abbr','acronym','address','applet','area','b','base','basefont','bdo','big','blockquote',
'body','br','button','caption','center','cite','code','col','colgroup','dd','del','dir','dfn','div',
'dl','dt','em','fieldset','font','form','frame','frameset','h1','h2','h3','h4','h5','h6','head',
'hr','html','i','iframe','img','input','ins','isindex','kbd','label','legend','li','link','map','menu',
'meta','noframes','noscript','object','ol','optgroup','option','p','param','pre','q','s','samp',
'script','select','small','span','strike','strong','style','sub','sup','table','tbody','td','textarea',
'tfoot','th','thead','title','tr','tt','u','ul','var'
]


globs = globals()
for t in tags:
    globs[t] = Proto(t)


for x in range(100):
    globs['_%s' % x] = directive(x)


def drange(x):
    return [globs['_%s' % i] for i in range(x)]


del Proto

__all__ = globs.keys()


########################
####
########################
####
########################
####
########################